Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque.om
Class BaseTurbineGroupPeer

    java.lang.Object
      org.apache.torque.util.BasePeer
          org.apache.turbine.services.security.torque.om.BaseTurbineGroupPeer

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TurbineGroupPeer

    public abstract class BaseTurbineGroupPeer

extends org.apache.torque.util.BasePeer

This class was autogenerated by Torque on: [Thu Jun 23 17:25:46 CEST 2011]

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.torque.util.BasePeer
`org.apache.torque.util.BasePeer.ProcessCallback`

Field Summary
`protected static Class` | `CLASS_DEFAULT` A class that can be returned by this peer.
`protected static String` | `CLASSNAME_DEFAULT` A class that can be returned by this peer.
`static String` | `DATABASE_NAME` the default database name for this class
`static String` | `GROUP_ID` the column name for the GROUP_ID field
`static String` | `GROUP_NAME` the column name for the GROUP_NAME field
`static int` | `numColumns` number of columns for this peer
`static String` | `TABLE_NAME` the table name for this class

Fields inherited from class org.apache.torque.util.BasePeer
`IGNORE_CASE, log, ORDER_BY`

Constructor Summary
`BaseTurbineGroupPeer()`

Method Summary
`static void` | `addSelectColumns(org.apache.torque.util.Criteria criteria)` Add all the columns needed to create a new object.
`static org.apache.torque.util.Criteria` | `buildCriteria(org.apache.torque.om.ObjectKey pk)` Build a Criteria object from an ObjectKey
`static org.apache.torque.util.Criteria` | `buildCriteria(TurbineGroup obj)` Build a Criteria object from the data object for this peer
`static org.apache.torque.util.Criteria` | `buildSelectCriteria(TurbineGroup obj)` Build a Criteria object from the data object for this peer, skipping all binary columns
`static void` | `correctBooleans(org.apache.torque.util.Criteria criteria)` changes the boolean values in the criteria to the appropriate type, whenever a booleanchar or booleanint column is involved.
`static void` | `doDelete(org.apache.torque.util.Criteria criteria)` Method to do deletes.
`static void` | `doDelete(org.apache.torque.util.Criteria criteria, Connection con)` Method to do deletes.
`static void` | `doDelete(org.apache.torque.om.ObjectKey pk)` Method to do deletes.
`static void` | `doDelete(org.apache.torque.om.ObjectKey pk, Connection con)` Method to delete.
`static void` | `doDelete(TurbineGroup obj)`
`static void` | `doDelete(TurbineGroup obj, Connection con)` Method to delete.
`static org.apache.torque.om.ObjectKey` | `doInsert(org.apache.torque.util.Criteria criteria)` Method to do inserts.
`static org.apache.torque.om.ObjectKey` | `doInsert(org.apache.torque.util.Criteria criteria, Connection con)` Method to do inserts.
`static void` | `doInsert(TurbineGroup obj)` Method to do inserts
`static void` | `doInsert(TurbineGroup obj, Connection con)` Method to do inserts.
`static List<com.workingdogs.village.Record>` | `doPSSelect(org.apache.torque.util.Criteria criteria)` Do a Prepared Statement select according to the given criteria
`static List<com.workingdogs.village.Record>` | `doPSSelect(org.apache.torque.util.Criteria criteria, Connection con)` Performs a SQL `select` using a PreparedStatement.
`static List<TurbineGroup>` | `doSelect(org.apache.torque.util.Criteria criteria)` Method to do selects.
`static List<TurbineGroup>` | `doSelect(org.apache.torque.util.Criteria criteria, Connection con)` Method to do selects within a transaction.
`static List<TurbineGroup>` | `doSelect(TurbineGroup obj)` Method to do selects
`static List<com.workingdogs.village.Record>` | `doSelectVillageRecords(org.apache.torque.util.Criteria criteria)` Grabs the raw Village records to be formed into objects.
`static List<com.workingdogs.village.Record>` | `doSelectVillageRecords(org.apache.torque.util.Criteria criteria, Connection con)` Grabs the raw Village records to be formed into objects.
`static void` | `doUpdate(org.apache.torque.util.Criteria criteria)` Method to do updates.
`static void` | `doUpdate(org.apache.torque.util.Criteria criteria, Connection con)` Method to do updates.
`static void` | `doUpdate(TurbineGroup obj)`
`static void` | `doUpdate(TurbineGroup obj, Connection con)` Method to do update.
`static List<com.workingdogs.village.Record>` | `executeQuery(String queryString)` Utility method which executes a given sql statement.
`static List<com.workingdogs.village.Record>` | `executeQuery(String queryString, boolean singleRecord, Connection con)` Method for performing a SELECT.
`static List<com.workingdogs.village.Record>` | `executeQuery(String queryString, int start, int numberOfResults, boolean singleRecord, Connection con)` Method for performing a SELECT.
`static List<com.workingdogs.village.Record>` | `executeQuery(String queryString, int start, int numberOfResults, String dbName, boolean singleRecord)` Method for performing a SELECT.
`static List<com.workingdogs.village.Record>` | `executeQuery(String queryString, String dbName)` Utility method which executes a given sql statement.
`static List<com.workingdogs.village.Record>` | `executeQuery(String queryString, String dbName, boolean singleRecord)` Method for performing a SELECT.
`static org.apache.torque.map.MapBuilder` | `getMapBuilder()` Deprecated. Torque.getMapBuilder(TurbineGroupMapBuilder.CLASS_NAME) instead
`static Class` | `getOMClass()` The class that the Peer will make instances of.
`static List<com.workingdogs.village.Record>` | `getSelectResults(com.workingdogs.village.QueryDataSet qds)` Returns all records in a QueryDataSet as a List of Record objects.
`static List<com.workingdogs.village.Record>` | `getSelectResults(com.workingdogs.village.QueryDataSet qds, boolean singleRecord)` Returns all records in a QueryDataSet as a List of Record objects.
`static List<com.workingdogs.village.Record>` | `getSelectResults(com.workingdogs.village.QueryDataSet qds, int numberOfResults, boolean singleRecord)` Returns numberOfResults records in a QueryDataSet as a List of Record objects.
`static List` | `getSelectResults(com.workingdogs.village.QueryDataSet qds, int start, int numberOfResults, boolean singleRecord)` Returns numberOfResults records in a QueryDataSet as a List of Record objects.
`static org.apache.torque.map.TableMap` | `getTableMap()` Returns the TableMap related to this peer.
`static void` | `populateObject(com.workingdogs.village.Record row, int offset, TurbineGroup obj)` Populates an object from a resultset row starting from a specified offset.
`static List<TurbineGroup>` | `populateObjects(List<com.workingdogs.village.Record> records)` The returned List will contain objects of the default type or objects that inherit from the default.
`static List<TurbineGroup>` | `resultSet2Objects(ResultSet results)` Get the list of objects for a ResultSet.
`static TurbineGroup` | `retrieveByPK(int pk)` Retrieve a single object by pk
`static TurbineGroup` | `retrieveByPK(int pk, Connection con)` Retrieve a single object by pk
`static TurbineGroup` | `retrieveByPK(org.apache.torque.om.ObjectKey pk)` Retrieve a single object by pk
`static TurbineGroup` | `retrieveByPK(org.apache.torque.om.ObjectKey pk, Connection con)` Retrieve a single object by pk
`static List<TurbineGroup>` | `retrieveByPKs(List<org.apache.torque.om.ObjectKey> pks)` Retrieve a multiple objects by pk
`static List<TurbineGroup>` | `retrieveByPKs(List<org.apache.torque.om.ObjectKey> pks, Connection dbcon)` Retrieve a multiple objects by pk
`static TurbineGroup` | `row2Object(com.workingdogs.village.Record row, int offset, Class cls)` Create a new object of type cls from a resultset row starting from a specified offset.

Methods inherited from class org.apache.torque.util.BasePeer
`correctBooleans, createPreparedStatement, createQueryString, deleteAll, deleteAll, doDelete, doDelete, doUpdate, doUpdate, executeStatement, executeStatement, executeStatement, getMapBuilder, handleMultipleRecords, initColumnNames, initCriteriaKeys, initTableColumns, initTableSchema, initTableSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABASE_NAME

    public static final String DATABASE_NAME

  the default database name for this class

### TABLE_NAME

    public static final String TABLE_NAME

  the table name for this class

### GROUP_ID

    public static final String GROUP_ID

  the column name for the GROUP_ID field

### GROUP_NAME

    public static final String GROUP_NAME

  the column name for the GROUP_NAME field

### numColumns

    public static final int numColumns

  number of columns for this peer

  See Also:
    Constant Field Values

### CLASSNAME_DEFAULT

    protected static final String CLASSNAME_DEFAULT

  A class that can be returned by this peer.

  See Also:
    Constant Field Values

### CLASS_DEFAULT

    protected static final Class CLASS_DEFAULT

  A class that can be returned by this peer.

Constructor Detail

### BaseTurbineGroupPeer

    public BaseTurbineGroupPeer()

Method Detail

### getMapBuilder

    public static org.apache.torque.map.MapBuilder getMapBuilder()
                                                          throws org.apache.torque.TorqueException

  Deprecated. Torque.getMapBuilder(TurbineGroupMapBuilder.CLASS_NAME) instead

  Returns:
    the map builder for this peer
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### resultSet2Objects

    public static List<TurbineGroup> resultSet2Objects(ResultSet results)
                                                throws org.apache.torque.TorqueException

  Get the list of objects for a ResultSet. Please not that your resultset MUST return columns in the right order. You can use getFieldNames() in BaseObject to get the correct sequence.

  Parameters:
    `results` - the ResultSet
  Returns:
    the list of objects
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doInsert

    public static org.apache.torque.om.ObjectKey doInsert(org.apache.torque.util.Criteria criteria)
                                                   throws org.apache.torque.TorqueException

  Method to do inserts.

  Parameters:
    `criteria` - object used to create the INSERT statement.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doInsert

    public static org.apache.torque.om.ObjectKey doInsert(org.apache.torque.util.Criteria criteria,
                                                          Connection con)
                                                   throws org.apache.torque.TorqueException

  Method to do inserts. This method is to be used during a transaction, otherwise use the doInsert(Criteria) method. It will take care of the connection details internally.

  Parameters:
    `criteria` - object used to create the INSERT statement.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### addSelectColumns

    public static void addSelectColumns(org.apache.torque.util.Criteria criteria)
                                 throws org.apache.torque.TorqueException

  Add all the columns needed to create a new object.

  Parameters:
    `criteria` - object containing the columns to add.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### correctBooleans

    public static void correctBooleans(org.apache.torque.util.Criteria criteria)
                                throws org.apache.torque.TorqueException

  changes the boolean values in the criteria to the appropriate type, whenever a booleanchar or booleanint column is involved. This enables the user to create criteria using Boolean values for booleanchar or booleanint columns

  Parameters:
    `criteria` - the criteria in which the boolean values should be corrected
  Throws:
    `org.apache.torque.TorqueException` - if the database map for the criteria cannot be obtained.

### row2Object

    public static TurbineGroup row2Object(com.workingdogs.village.Record row,
                                          int offset,
                                          Class cls)
                                   throws org.apache.torque.TorqueException

  Create a new object of type cls from a resultset row starting from a specified offset. This is done so that you can select other rows than just those needed for this object. You may for example want to create two objects from the same row.

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### populateObject

    public static void populateObject(com.workingdogs.village.Record row,
                                      int offset,
                                      TurbineGroup obj)
                               throws org.apache.torque.TorqueException

  Populates an object from a resultset row starting from a specified offset. This is done so that you can select other rows than just those needed for this object. You may for example want to create two objects from the same row.

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doSelect

    public static List<TurbineGroup> doSelect(org.apache.torque.util.Criteria criteria)
                                       throws org.apache.torque.TorqueException

  Method to do selects.

  Parameters:
    `criteria` - object used to create the SELECT statement.
  Returns:
    List of selected Objects
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doSelect

    public static List<TurbineGroup> doSelect(org.apache.torque.util.Criteria criteria,
                                              Connection con)
                                       throws org.apache.torque.TorqueException

  Method to do selects within a transaction.

  Parameters:
    `criteria` - object used to create the SELECT statement.
    `con` - the connection to use
  Returns:
    List of selected Objects
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doSelectVillageRecords

    public static List<com.workingdogs.village.Record> doSelectVillageRecords(org.apache.torque.util.Criteria criteria)
                                                                       throws org.apache.torque.TorqueException

  Grabs the raw Village records to be formed into objects. This method handles connections internally. The Record objects returned by this method should be considered readonly. Do not alter the data and call save(), your results may vary, but are certainly likely to result in hard to track MT bugs.

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doSelectVillageRecords

    public static List<com.workingdogs.village.Record> doSelectVillageRecords(org.apache.torque.util.Criteria criteria,
                                                                              Connection con)
                                                                       throws org.apache.torque.TorqueException

  Grabs the raw Village records to be formed into objects. This method should be used for transactions

  Parameters:
    `criteria` - object used to create the SELECT statement.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### populateObjects

    public static List<TurbineGroup> populateObjects(List<com.workingdogs.village.Record> records)
                                              throws org.apache.torque.TorqueException

  The returned List will contain objects of the default type or objects that inherit from the default.

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### getOMClass

    public static Class getOMClass()
                            throws org.apache.torque.TorqueException

  The class that the Peer will make instances of. If the BO is abstract then you must implement this method in the BO.

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doUpdate

    public static void doUpdate(org.apache.torque.util.Criteria criteria)
                         throws org.apache.torque.TorqueException

  Method to do updates.

  Parameters:
    `criteria` - object containing data that is used to create the UPDATE statement.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doUpdate

    public static void doUpdate(org.apache.torque.util.Criteria criteria,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Method to do updates. This method is to be used during a transaction, otherwise use the doUpdate(Criteria) method. It will take care of the connection details internally.

  Parameters:
    `criteria` - object containing data that is used to create the UPDATE statement.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doDelete

    public static void doDelete(org.apache.torque.util.Criteria criteria)
                         throws org.apache.torque.TorqueException

  Method to do deletes.

  Parameters:
    `criteria` - object containing data that is used DELETE from database.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doDelete

    public static void doDelete(org.apache.torque.util.Criteria criteria,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Method to do deletes. This method is to be used during a transaction, otherwise use the doDelete(Criteria) method. It will take care of the connection details internally.

  Parameters:
    `criteria` - object containing data that is used DELETE from database.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doSelect

    public static List<TurbineGroup> doSelect(TurbineGroup obj)
                                       throws org.apache.torque.TorqueException

  Method to do selects

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doInsert

    public static void doInsert(TurbineGroup obj)
                         throws org.apache.torque.TorqueException

  Method to do inserts

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doUpdate

    public static void doUpdate(TurbineGroup obj)
                         throws org.apache.torque.TorqueException

  Parameters:
    `obj` - the data object to update in the database.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doDelete

    public static void doDelete(TurbineGroup obj)
                         throws org.apache.torque.TorqueException

  Parameters:
    `obj` - the data object to delete in the database.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doInsert

    public static void doInsert(TurbineGroup obj,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Method to do inserts. This method is to be used during a transaction, otherwise use the doInsert(TurbineGroup) method. It will take care of the connection details internally.

  Parameters:
    `obj` - the data object to insert into the database.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doUpdate

    public static void doUpdate(TurbineGroup obj,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Method to do update. This method is to be used during a transaction, otherwise use the doUpdate(TurbineGroup) method. It will take care of the connection details internally.

  Parameters:
    `obj` - the data object to update in the database.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doDelete

    public static void doDelete(TurbineGroup obj,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Method to delete. This method is to be used during a transaction, otherwise use the doDelete(TurbineGroup) method. It will take care of the connection details internally.

  Parameters:
    `obj` - the data object to delete in the database.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doDelete

    public static void doDelete(org.apache.torque.om.ObjectKey pk)
                         throws org.apache.torque.TorqueException

  Method to do deletes.

  Parameters:
    `pk` - ObjectKey that is used DELETE from database.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### doDelete

    public static void doDelete(org.apache.torque.om.ObjectKey pk,
                                Connection con)
                         throws org.apache.torque.TorqueException

  Method to delete. This method is to be used during a transaction, otherwise use the doDelete(ObjectKey) method. It will take care of the connection details internally.

  Parameters:
    `pk` - the primary key for the object to delete in the database.
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### buildCriteria

    public static org.apache.torque.util.Criteria buildCriteria(org.apache.torque.om.ObjectKey pk)

  Build a Criteria object from an ObjectKey

### buildCriteria

    public static org.apache.torque.util.Criteria buildCriteria(TurbineGroup obj)

  Build a Criteria object from the data object for this peer

### buildSelectCriteria

    public static org.apache.torque.util.Criteria buildSelectCriteria(TurbineGroup obj)

  Build a Criteria object from the data object for this peer, skipping all binary columns

### retrieveByPK

    public static TurbineGroup retrieveByPK(int pk)
                                     throws org.apache.torque.TorqueException,
                                            org.apache.torque.NoRowsException,
                                            org.apache.torque.TooManyRowsException

  Retrieve a single object by pk

  Parameters:
    `pk` - the primary key
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
    `org.apache.torque.NoRowsException` - Primary key was not found in database.
    `org.apache.torque.TooManyRowsException` - Primary key was not found in database.

### retrieveByPK

    public static TurbineGroup retrieveByPK(int pk,
                                            Connection con)
                                     throws org.apache.torque.TorqueException,
                                            org.apache.torque.NoRowsException,
                                            org.apache.torque.TooManyRowsException

  Retrieve a single object by pk

  Parameters:
    `pk` - the primary key
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
    `org.apache.torque.NoRowsException` - Primary key was not found in database.
    `org.apache.torque.TooManyRowsException` - Primary key was not found in database.

### retrieveByPK

    public static TurbineGroup retrieveByPK(org.apache.torque.om.ObjectKey pk)
                                     throws org.apache.torque.TorqueException,
                                            org.apache.torque.NoRowsException,
                                            org.apache.torque.TooManyRowsException

  Retrieve a single object by pk

  Parameters:
    `pk` - the primary key
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
    `org.apache.torque.NoRowsException` - Primary key was not found in database.
    `org.apache.torque.TooManyRowsException` - Primary key was not found in database.

### retrieveByPK

    public static TurbineGroup retrieveByPK(org.apache.torque.om.ObjectKey pk,
                                            Connection con)
                                     throws org.apache.torque.TorqueException,
                                            org.apache.torque.NoRowsException,
                                            org.apache.torque.TooManyRowsException

  Retrieve a single object by pk

  Parameters:
    `pk` - the primary key
    `con` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
    `org.apache.torque.NoRowsException` - Primary key was not found in database.
    `org.apache.torque.TooManyRowsException` - Primary key was not found in database.

### retrieveByPKs

    public static List<TurbineGroup> retrieveByPKs(List<org.apache.torque.om.ObjectKey> pks)
                                            throws org.apache.torque.TorqueException

  Retrieve a multiple objects by pk

  Parameters:
    `pks` - List of primary keys
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### retrieveByPKs

    public static List<TurbineGroup> retrieveByPKs(List<org.apache.torque.om.ObjectKey> pks,
                                                   Connection dbcon)
                                            throws org.apache.torque.TorqueException

  Retrieve a multiple objects by pk

  Parameters:
    `pks` - List of primary keys
    `dbcon` - the connection to use
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### getTableMap

    public static org.apache.torque.map.TableMap getTableMap()
                                                      throws org.apache.torque.TorqueException

  Returns the TableMap related to this peer.

  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.

### executeQuery

    public static List<com.workingdogs.village.Record> executeQuery(String queryString)
                                                             throws org.apache.torque.TorqueException

  Utility method which executes a given sql statement. This method should be used for select statements only. Use executeStatement for update, insert, and delete operations.

  Parameters:
    `queryString` - A String with the sql statement to execute.
  Returns:
    List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `BasePeer.executeQuery(String)`

### executeQuery

    public static List<com.workingdogs.village.Record> executeQuery(String queryString,
                                                                    String dbName)
                                                             throws org.apache.torque.TorqueException

  Utility method which executes a given sql statement. This method should be used for select statements only. Use executeStatement for update, insert, and delete operations.

  Parameters:
    `queryString` - A String with the sql statement to execute.
    `dbName` - The database to connect to.
  Returns:
    List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `BasePeer.executeQuery(String,String)`

### executeQuery

    public static List<com.workingdogs.village.Record> executeQuery(String queryString,
                                                                    String dbName,
                                                                    boolean singleRecord)
                                                             throws org.apache.torque.TorqueException

  Method for performing a SELECT. Returns all results.

  Parameters:
    `queryString` - A String with the sql statement to execute.
    `dbName` - The database to connect to.
    `singleRecord` - Whether or not we want to select only a single record.
  Returns:
    List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `BasePeer.executeQuery(String,String,boolean)`

### executeQuery

    public static List<com.workingdogs.village.Record> executeQuery(String queryString,
                                                                    boolean singleRecord,
                                                                    Connection con)
                                                             throws org.apache.torque.TorqueException

  Method for performing a SELECT. Returns all results.

  Parameters:
    `queryString` - A String with the sql statement to execute.
    `singleRecord` - Whether or not we want to select only a single record.
    `con` - A Connection.
  Returns:
    List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `BasePeer.executeQuery(String,boolean,Connection)`

### executeQuery

    public static List<com.workingdogs.village.Record> executeQuery(String queryString,
                                                                    int start,
                                                                    int numberOfResults,
                                                                    String dbName,
                                                                    boolean singleRecord)
                                                             throws org.apache.torque.TorqueException

  Method for performing a SELECT.

  Parameters:
    `queryString` - A String with the sql statement to execute.
    `start` - The first row to return.
    `numberOfResults` - The number of rows to return.
    `dbName` - The database to connect to.
    `singleRecord` - Whether or not we want to select only a single record.
  Returns:
    List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `BasePeer.executeQuery(String,int,int,String,boolean)`

### executeQuery

    public static List<com.workingdogs.village.Record> executeQuery(String queryString,
                                                                    int start,
                                                                    int numberOfResults,
                                                                    boolean singleRecord,
                                                                    Connection con)
                                                             throws org.apache.torque.TorqueException

  Method for performing a SELECT. Returns all results.

  Parameters:
    `queryString` - A String with the sql statement to execute.
    `start` - The first row to return.
    `numberOfResults` - The number of rows to return.
    `singleRecord` - Whether or not we want to select only a single record.
    `con` - A Connection.
  Returns:
    List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `org.apache.torque.util.BasePeer#executeQuery(String,int,int,String,boolean,Connection)`

### getSelectResults

    public static List<com.workingdogs.village.Record> getSelectResults(com.workingdogs.village.QueryDataSet qds)
                                                                 throws org.apache.torque.TorqueException

  Returns all records in a QueryDataSet as a List of Record objects. Used for functionality like util.LargeSelect.

  Parameters:
    `qds` - the QueryDataSet
  Returns:
    a List of Record objects
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `getSelectResults(QueryDataSet, int, int, boolean)`, `BasePeer.getSelectResults(QueryDataSet)`

### getSelectResults

    public static List<com.workingdogs.village.Record> getSelectResults(com.workingdogs.village.QueryDataSet qds,
                                                                        boolean singleRecord)
                                                                 throws org.apache.torque.TorqueException

  Returns all records in a QueryDataSet as a List of Record objects. Used for functionality like util.LargeSelect.

  Parameters:
    `qds` - the QueryDataSet
    `singleRecord` -
  Returns:
    a List of Record objects
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `getSelectResults(QueryDataSet, int, int, boolean)`, `BasePeer.getSelectResults(QueryDataSet,boolean)`

### getSelectResults

    public static List<com.workingdogs.village.Record> getSelectResults(com.workingdogs.village.QueryDataSet qds,
                                                                        int numberOfResults,
                                                                        boolean singleRecord)
                                                                 throws org.apache.torque.TorqueException

  Returns numberOfResults records in a QueryDataSet as a List of Record objects. Starting at record 0. Used for functionality like util.LargeSelect.

  Parameters:
    `qds` - the QueryDataSet
    `numberOfResults` -
    `singleRecord` -
  Returns:
    a List of Record objects
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `getSelectResults(QueryDataSet, int, int, boolean)`, `BasePeer.getSelectResults(QueryDataSet,int,boolean)`

### getSelectResults

    public static List getSelectResults(com.workingdogs.village.QueryDataSet qds,
                                        int start,
                                        int numberOfResults,
                                        boolean singleRecord)
                                 throws org.apache.torque.TorqueException

  Returns numberOfResults records in a QueryDataSet as a List of Record objects. Starting at record start. Used for functionality like util.LargeSelect.

  Parameters:
    `qds` - The `QueryDataSet` to extract results from.
    `start` - The index from which to start retrieving `Record` objects from the data set.
    `numberOfResults` - The number of results to return (or `-1` for all results).
    `singleRecord` - Whether or not we want to select only a single record.
  Returns:
    A `List` of `Record` objects.
  Throws:
    `org.apache.torque.TorqueException` - If any `Exception` occurs.
  See Also:
    `BasePeer.getSelectResults(QueryDataSet,int,int,boolean)`

### doPSSelect

    public static List<com.workingdogs.village.Record> doPSSelect(org.apache.torque.util.Criteria criteria,
                                                                  Connection con)
                                                           throws org.apache.torque.TorqueException

  Performs a SQL `select` using a PreparedStatement. Note: this method does not handle null criteria values.

  Parameters:
    `criteria` -
    `con` -
  Returns:
    a List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Error performing database query.
  See Also:
    `BasePeer.doPSSelect(Criteria,Connection)`

### doPSSelect

    public static List<com.workingdogs.village.Record> doPSSelect(org.apache.torque.util.Criteria criteria)
                                                           throws org.apache.torque.TorqueException

  Do a Prepared Statement select according to the given criteria

  Parameters:
    `criteria` -
  Returns:
    a List of Record objects.
  Throws:
    `org.apache.torque.TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
  See Also:
    `BasePeer.doPSSelect(Criteria)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.